importLib("ToolType", "*");

ToolType.araxe = {
		enchantType: Native.EnchantType.axe,
		damage: 2,
		blockTypes: ["wood","fibre"]
}

ToolType.arpick = {
		enchantType: Native.EnchantType.pickaxe,
		damage: 2,
		blockTypes: ["stone","fibre"]
}
//benches
IDRegistry.genBlockID("aranvil");
Block.createBlock("aranvil", [{
    name: "Anvil", 
    texture: [
        ["aranvilbottom", 0],
        ["aranviltop", 0],
        ["aranvil", 0],
        ["aranvil", 0],
        ["aranvil", 0],
        ["aranvil", 0]
    ], 
    inCreative: true 
}]) 
IDRegistry.genBlockID("arbarrel");
Block.createBlock("arbarrel", [{
    name: "Barrel", 
    texture: [
        ["arbarrel", 0],
        ["arbarreltop", 0],
        ["arbarrel", 0],
        ["arbarrel", 0],
        ["arbarrel", 0],
        ["arbarrel", 0]
    ], 
    inCreative: true 
}]) 
//stuffid
IDRegistry.genItemID("arsaw");
IDRegistry.genItemID("arhammer");
IDRegistry.genItemID("archisel");
IDRegistry.genItemID("arnail");
IDRegistry.genItemID("arhandle");
IDRegistry.genItemID("arstonechunk");
//ingots:iron
IDRegistry.genItemID("arhii");
IDRegistry.genItemID("arfii1");
IDRegistry.genItemID("arfii2");
IDRegistry.genItemID("arfii3");
IDRegistry.genItemID("arqii");
//sub:gold
IDRegistry.genItemID("arhgi");
IDRegistry.genItemID("arfgi1");
IDRegistry.genItemID("arfgi2");
IDRegistry.genItemID("arfgi3");
IDRegistry.genItemID("arqgi");
//idweaponswood
IDRegistry.genItemID("wBattleaxe");
IDRegistry.genItemID("wBroadsword");
IDRegistry.genItemID("wCleaver");
IDRegistry.genItemID("wDagger");
IDRegistry.genItemID("wGreatsword");
IDRegistry.genItemID("wHammer");
IDRegistry.genItemID("wKama");
IDRegistry.genItemID("wKatana");
IDRegistry.genItemID("wLongsword");
IDRegistry.genItemID("wMace");
IDRegistry.genItemID("wMachete");
IDRegistry.genItemID("wRapier");
IDRegistry.genItemID("wSai");
IDRegistry.genItemID("wScimitar");
IDRegistry.genItemID("wScythe");
//items
Item.createItem ("arhandle", "Handle", {name: "arhandle", meta: 0}, {stack: 25});
Item.createItem ("arsaw", "Saw", {name: "arsaw", meta: 0}, {stack: 60});
Item.createItem ("arhammer", "Hammer", {name: "arhammer", meta: 0}, {stack: 60});
Item.createItem ("archisel", "Chisel", {name: "archisel", meta: 0}, {stack: 60});
Item.createItem ("arnail", "Nail", {name: "arnail", meta: 0}, {stack: 60});
Item.createItem ("arstonechunk", "Stone Chunk", {name: "arstonechunk", meta: 0}, {stack: 64});
Item.createItem ("arhii", "Iron Ingot", {name: "arhotironingot", meta: 0}, {stack: 2});
Item.createItem ("arfii1", "Iron Ingot", {name: "arhotironingotf1", meta: 0}, {stack: 2});
Item.createItem ("arfii2", "Iron Ingot", {name: "arhotironingotf2", meta: 0}, {stack: 2});
Item.createItem ("arfii3", "Iron Ingot", {name: "arhotironingotf3", meta: 0}, {stack: 2});
Item.createItem ("arqii", "Iron Ingot", {name: "arquenchedironingot", meta: 0}, {stack: 64});
Item.createItem ("arhgi", "Gold Ingot", {name: "arhotgoldingot", meta: 0}, {stack: 2});
Item.createItem ("arfgi1", "Gold Ingot", {name: "arhotgoldingotf1", meta: 0}, {stack: 2});
Item.createItem ("arfgi2", "Gold Ingot", {name: "arhotgoldingotf2", meta: 0}, {stack: 2});
Item.createItem ("arfgi3", "Gold Ingot", {name: "arhotgoldingotf3", meta: 0}, {stack: 2});
Item.createItem ("arqgi", "Gold Ingot", {name: "arquenchedgoldingot", meta: 0}, {stack: 64});
//weapoons
Item.createItem ("wDagger", "Wooden Dagger \n  §6[ Speed +1 ]", {name: "wood_dagger", meta: 0}, {stack: 1});
ToolAPI.addToolMaterial("wdagge", {durability: 5, level: 1, efficiency: 2, damage: 3, enchantability: 1});
ToolAPI.setTool(ItemID.wDagger, "wdagge", ToolType.sword);
Item.createItem ("wSai", "Wooden Sai \n  §6[ Speed +1 ]", {name: "wood_sai", meta: 0}, {stack: 1});
ToolAPI.addToolMaterial("wsa", {durability: 6, level: 1, efficiency: 2, damage: 3, enchantability: 1});
ToolAPI.setTool(ItemID.wSai, "wsa", ToolType.sword);
Item.createItem ("wRapier", "Wooden Rapier", {name: "wood_rapier", meta: 0}, {stack: 1});
ToolAPI.addToolMaterial("wrapie", {durability: 10, level: 1, efficiency: 2, damage: 4.75, enchantability: 1});
ToolAPI.setTool(ItemID.wRapier, "wrapie", ToolType.sword);
Item.createItem ("wKatana", "Wooden Katana", {name: "wood_katana", meta: 0}, {stack: 1});
ToolAPI.addToolMaterial("wkatan", {durability: 15, level: 1, efficiency: 2, damage: 4.50, enchantability: 1});
ToolAPI.setTool(ItemID.wKatana, "wkatan", ToolType.sword);
Item.createItem ("wLongsword", "Wooden Longsword", {name: "wood_longsword", meta: 0}, {stack: 1});
ToolAPI.addToolMaterial("wlongswor", {durability: 17, level: 1, efficiency: 2, damage: 4.25, enchantability: 1});
ToolAPI.setTool(ItemID.wLongsword, "wlongswor", ToolType.sword);
Item.createItem ("wBroadsword", "Wooden Broadsword", {name: "wood_broadswourd", meta: 0}, {stack: 1});
ToolAPI.addToolMaterial("wbroadswor", {durability: 20, level: 1, efficiency: 2, damage: 4, enchantability: 1});
ToolAPI.setTool(ItemID.wBroadsword, "wbroadswor", ToolType.sword);
Item.createItem ("wMachete", "Wooden Machete \n §3[ Chopping +1 ]", {name: "wood_machete", meta: 0}, {stack: 1});
ToolAPI.addToolMaterial("wmachet", {durability: 20, level: 1, efficiency: 2, damage: 3.5, enchantability: 1});
ToolAPI.setTool(ItemID.wMachete, "wmachet", ToolType.araxe);
Item.createItem ("wScimitar", "Wooden Scimitar \n §3[ Chopping +1 ]", {name: "wood_scimitar", meta: 0}, {stack: 1});
ToolAPI.addToolMaterial("wscimita", {durability: 15, level: 1, efficiency: 2, damage: 4, enchantability: 1});
ToolAPI.setTool(ItemID.wScimitar, "wscimita", ToolType.araxe);
Item.createItem ("wCleaver", "Wooden Cleaver \n §4 [ Daze +1 ]", {name: "wood_cleaver", meta: 0}, {stack: 1});
ToolAPI.addToolMaterial("wcleave", {durability: 25, level: 1, efficiency: 2, damage: 4.50, enchantability: 1});
ToolAPI.setTool(ItemID.wCleaver, "wcleave", ToolType.sword);
Item.createItem ("wGreatsword", "Wooden Greatsword \n §4§8[ Daze +2 ]", {name: "wood_greatsword", meta: 0}, {stack: 1});
ToolAPI.addToolMaterial("wgreatswor", {durability: 30, level: 1, efficiency: 2, damage: 5.50, enchantability: 1});
ToolAPI.setTool(ItemID.wGreatsword, "wgreatswor", ToolType.sword);
Item.createItem ("wBattleaxe", "Wooden Battleaxe \n §4[ Chopping +1, Daze +1 ]", {name: "wood_battleacks", meta: 0}, {stack: 1});
ToolAPI.addToolMaterial("wbattleax", {durability: 25, level: 1, efficiency: 2, damage: 4, enchantability: 1});
ToolAPI.setTool(ItemID.wBattleaxe, "wbattleax", ToolType.araxe);
Item.createItem ("wHammer", "Wooden Hammer \n §4[ Mining +1, Daze +1 ]", {name: "wood_hammer", meta: 0}, {stack: 1});
ToolAPI.addToolMaterial("whamme", {durability: 25, level: 1, efficiency: 2, damage: 4, enchantability: 1});
ToolAPI.setTool(ItemID.wHammer, "whamme", ToolType.arpick);
Item.createItem ("wMace", "Wooden Mace \n §4[ Daze +1 ]", {name: "wood_mace", meta: 0}, {stack: 1});
ToolAPI.addToolMaterial("wmac", {durability: 18, level: 1, efficiency: 2, damage: 4.50, enchantability: 1});
ToolAPI.setTool(ItemID.wMace, "wmac", ToolType.sword);
Item.createItem ("wKama", "Wooden Kama \n  §6[ Speed +1 ]", {name: "wood_kama", meta: 0}, {stack: 1});
ToolAPI.addToolMaterial("wkam", {durability: 6, level: 1, efficiency: 2, damage: 3, enchantability: 1});
ToolAPI.setTool(ItemID.wKama, "wkam", ToolType.sword);
Item.createItem ("wScythe", "Wooden Scythe", {name: "wood_scythe", meta: 0}, {stack: 1});
ToolAPI.addToolMaterial("wscyth", {durability: 6, level: 1, efficiency: 2, damage: 3, enchantability: 1});
ToolAPI.setTool(ItemID.wScythe, "wscyth", ToolType.sword);
//furnace
Recipes.addFurnace(265, ItemID.arhii);
Recipes.addFurnace(266, ItemID.arhgi);
//deletethismemey
Recipes.deleteRecipe({id: 267, count: 1, data: 0});
Recipes.deleteRecipe({id: 268, count: 1, data: 0});
Recipes.deleteRecipe({id: 272, count: 1, data: 0});
Recipes.deleteRecipe({id: 276, count: 1, data: 0});
Recipes.deleteRecipe({id: 283, count: 1, data: 0});
//custombenches
Item.registerUseFunction(ItemID.arhii, function(crd,i,block){
let c = crd.relative;
  if(block.id==BlockID.aranvil){
    if(Math.random()<=0.20){
      Player.decreaseCarriedItem();
      World.drop(c.x,c.y,c.z,ItemID.arfii1,1,0);
    }
  }
});
Item.registerUseFunction(ItemID.arfii1, function(crd,i,block){
let c = crd.relative;
  if(block.id==BlockID.aranvil){
    if(Math.random()<=0.40){
      Player.decreaseCarriedItem();
      World.drop(c.x,c.y,c.z,ItemID.arfii2,1,0);
    }
  }
});
Item.registerUseFunction(ItemID.arfii2, function(crd,i,block){
let c = crd.relative;
  if(block.id==BlockID.aranvil){
    if(Math.random()<=0.60){
      Player.decreaseCarriedItem();
      World.drop(c.x,c.y,c.z,ItemID.arfii3,1,0);
    }
  }
});
Item.registerUseFunction(ItemID.arfii3, function(crd,i,block){
let c = crd.relative;
  if(block.id==BlockID.arbarrel){
    if(Math.random()<=0.80){
      Player.decreaseCarriedItem();
      World.drop(c.x,c.y,c.z,ItemID.arqii,1,0);
    }
  }
});

Item.registerUseFunction(ItemID.arhgi, function(crd,i,block){
let c = crd.relative;
  if(block.id==BlockID.aranvil){
    if(Math.random()<=0.40){
      Player.decreaseCarriedItem();
      World.drop(c.x,c.y,c.z,ItemID.arfgi1,1,0);
    }
  }
});
Item.registerUseFunction(ItemID.arfgi1, function(crd,i,block){
let c = crd.relative;
  if(block.id==BlockID.aranvil){
    if(Math.random()<=0.60){
      Player.decreaseCarriedItem();
      World.drop(c.x,c.y,c.z,ItemID.arfgi2,1,0);
    }
  }
});
Item.registerUseFunction(ItemID.arfgi2, function(crd,i,block){
let c = crd.relative;
  if(block.id==BlockID.aranvil){
    if(Math.random()<=0.80){
      Player.decreaseCarriedItem();
      World.drop(c.x,c.y,c.z,ItemID.arfgi3,1,0);
    }
  }
});
Item.registerUseFunction(ItemID.arfgi3, function(crd,i,block){
let c = crd.relative;
  if(block.id==BlockID.arbarrel){
    if(Math.random()<=1.00){
      Player.decreaseCarriedItem();
      World.drop(c.x,c.y,c.z,ItemID.arqgi,1,0);
    }
  }
});
Item.registerUseFunction(17, function(crd,i,block){
let c = crd.relative;
  if(block.id==BlockID.aranvil){
    if(Math.random()<=1.00){
      Player.decreaseCarriedItem();
      World.drop(c.x,c.y,c.z,BlockID.arbarrel,1,0);
    }
  }
});
//features
Callback.addCallback("PlayerAttack", function (player, victim) { 
let item = Player.getCarriedItem();
if (item.id == ItemID.wDagger){ 
Entity.addEffect(Player.get(), Native.PotionEffect.movementSpeed, 1, 10, true, true);
}
});
Callback.addCallback("PlayerAttack", function (player, victim) { 
let item = Player.getCarriedItem();
if (item.id == ItemID.wSai){ 
Entity.addEffect(Player.get(), Native.PotionEffect.movementSpeed, 1, 10, true, true);
}
});
Callback.addCallback("PlayerAttack", function (player, victim) { 
let item = Player.getCarriedItem();
if (item.id == ItemID.wKama){ 
Entity.addEffect(Player.get(), Native.PotionEffect.movementSpeed, 1, 10, true, true);
}
});
Callback.addCallback("PlayerAttack", function (player, victim) { 
let item = Player.getCarriedItem();
if (item.id == ItemID.wMace){ 
Entity.addEffect(Player.get(), Native.PotionEffect.movementSlowdown, 5, 10, true, true);
}
});
Callback.addCallback("PlayerAttack", function (player, victim) { 
let item = Player.getCarriedItem();
if (item.id == ItemID.wHammer){ 
Entity.addEffect(Player.get(), Native.PotionEffect.movementSlowdown, 5, 10, true, true);
}
});
Callback.addCallback("PlayerAttack", function (player, victim) { 
let item = Player.getCarriedItem();
if (item.id == ItemID.wBattleaxe){ 
Entity.addEffect(Player.get(), Native.PotionEffect.movementSlowdown, 5, 10, true, true);
}
});
Callback.addCallback("PlayerAttack", function (player, victim) { 
let item = Player.getCarriedItem();
if (item.id == ItemID.wGreatsword){ 
Entity.addEffect(Player.get(), Native.PotionEffect.movementSlowdown, 5, 20, true, true);
}
});
Callback.addCallback("PlayerAttack", function (player, victim) { 
let item = Player.getCarriedItem();
if (item.id == ItemID.wCleaver){ 
Entity.addEffect(Player.get(), Native.PotionEffect.movementSlowdown, 5, 10, true, true);
}
});
